Subject: What should I do if I find that my dad is watching p*rn? There’s been online classes lately, and I rely on my dad’s decide to have the classes. So...
From: Life is Beautiful <[email-masked]>
To: [email-masked]
Date: Tue, 26 Jan 2021 07:10:28 +0000

Trending Stories from Life is Beautiful

-----

What should I do if I find that my dad is watching p*rn?

There’s been online classes lately, and I rely on my dad’s decide to have the classes. So one day I wanted to go to safari to desperately search for the answer of a question my teacher asked m

What should I do if I find that my dad is watching p*rn?

There’s been online classes lately, and I rely on my dad’s decide to have the classes. So one day I wanted to go to safari to desperately search for the answer of a question my teacher asked me. I accidentally pressed the bookmark icon on safari and-

I couldn’t believe my eyes.

A whole column of p*rn websites and video titles appeared before my eyes. Almost all of them had the words f***ed and babe and b***h.

I.

Was.

Horrified.

sure, I learned that it’s absolutely not illegal to watch p*rn, but my teachers have taught me that p*rn is terrible, and as a young pre-teen, I can’t help but feel extremely horrified, disturbed, disgusted and confused. I was too scared to tell my mom because 1. She’s emotionally abusive as some of you may know and 2. This may ruin their relationship and if they get a divorce it would be my fault.

Anyway, I was so shocked that I thought it had to be a glitch or a hacker. I didn’t believe my dad, my role model, would actually watch P*RN. However, (yes, I don’t have my own room, I share one with both my parents because my house is tiny and my mom doesn’t allow privacy for me.) one day, when I was about to go to sleep, I noticed that my dad had taken his device with him. I watched as he put on earplugs, turned the device on and began looking at it in a weird way. All of a sudden he accidentally dropped the device, and picked it up at once, flustered.

in that one moment, I saw on the screen, a naked woman and a naked man kissing intensely while climbing on the bed.

And I was sure that it was not a glitch or a hacker.

it’s been months since this happened. This bothers me a lot. Yes, a lot of you may say “just let your dad watch it it’s not big deal” but you don’t understand, it makes me uncomfortable and every time he brings his device into the bedroom it makes me shiver uncontrollably, sometimes I will even cry. I need advice on what to do, and how to confront him about it.
-----
Question: What are the simplest things one can do to make oneself happier?

Answer from Becky Eve

5 oral sex skills

If you ask most people what their favourite non-sexual behaviour is, a large proportion of them will tell you that it’s oral sex.

In fact, some people pref
Read More: http://www.quora.com/What-are-the-simplest-things-one-can-do-to-make-oneself-happier?top_ans=260052059
-----
i am in my 70 s so I probably have a few more things to think about that sucks.

It sucks that What ever time left for me is limited could 1 day or 30 years dont know but many of my friends died also my husband and 2 other gentleman. I miss them all.

i am in my 70 s so I probably have a few more things to think about that sucks.

It sucks that What ever time left for me is limited could 1 day or 30 years dont know but many of my friends died also my husband and 2 other gentleman. I miss them all.that sucks

I miss my kids being kids and my grand kids being kids. they have all grown and have wonderful lives which i am thankfull for. But they are so busy I dont see them. that sucks.

I am still pretty active but never know what is going to hurt when i get out of bed or how many pain pills will i have to take. that sucks.

It sucks also how younger people dont realize that they are not immortal and take chances with there lives. that sucks to hear about accidents that could of been preventive.

However I thank God for every day and believe that when i wake the world is my oyster to find

that pearl. Life is good
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1611645027942965&et=146&id=9023a12d8e134e5db87c2a4baaafce9b&notif_type=418&request_id=418&snid=16701821866&src=1&st=1611645027947965&stories=%5B(%3Cstory_types.tribe_post%3A+10%3E%2C+19354777)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+19594691)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+19314801)%5D&tribe_item_ids=IddqylgEgax%7C8CRM0Oz38wW%7CMcmdwg5hUQF&uid=oaI5nJBvtz4&v=0

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=9023a12d8e134e5db87c2a4baaafce9b&t=1611645028001832&token=e5f1a33299916e40458d6aec7922bee7fe5f0734614ca133c0dbacd9e39848b4595b51979999618bec67ccef50c66d22597a60dcdec356bc55ff8754360692b8&type=146&uid=1229773278